<?php
/*------------------------------------------------------------------------
# products.php - Product advisor Component
# ------------------------------------------------------------------------
# author    Matthias Drobny, drobny.iT
# copyright Copyright (C) 2014. All Rights Reserved
# license   GNU/GPL Version 2 or later - http://www.gnu.org/licenses/gpl-2.0.html
# website   www.drobny.it
-------------------------------------------------------------------------*/

// No direct access to this file
defined('_JEXEC') or die('Restricted access');
// import the Joomla modellist library
jimport('joomla.application.component.modellist');
/**
 * Products Model
 */
class ProductadvisorModelProducts extends JModelList
{
	/**
	 * Method to build an SQL query to load the list data.
	 *
	 * @return	string	An SQL query
	 */
	protected function getListQuery()
	{
		// Create a new query object.
		$db = JFactory::getDBO();
		$query = $db->getQuery(true);

		// Select some fields
		$query->select('*');

		// From the productadvisor_product table
		$query->from('#__productadvisor_products');

		return $query;
	}
	
	public function getAttributedProducts() {
		$db = JFactory::getDBO();
		$query = $db->getQuery(true);

		// Select some fields
		$query->select('*');

		// From the productadvisor_product table
		$query->from('#__productadvisor_products');
		return $query;
	/*
	SELECT  
pa.product_id,
pa.attribute_catid,
pa.attribute_value,
c.id,
c.title,
c.alias,
p.name,
p.description,
p.shop_url
FROM `j25_productadvisor_products` AS p
INNER JOIN j25_productadvisor_productattributes AS pa ON p.product_id = pa.product_id
INNER JOIN j25_categories AS c ON pa.attribute_catid = c.id
	*/
	}
	
	public function clearTable() {
		return $db = JFactory::getDBO()->truncateTable('#__productadvisor_products');
	}
}
?>