<?php
/*------------------------------------------------------------------------
# router.php - Product advisor Component
# ------------------------------------------------------------------------
# author    Matthias Drobny, drobny.iT
# copyright Copyright (C) 2014. All Rights Reserved
# license   GNU/GPL Version 2 or later - http://www.gnu.org/licenses/gpl-2.0.html
# website   www.drobny.it
-------------------------------------------------------------------------*/

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

function ProductadvisorBuildRoute(&$query)
{
	$segments = array();
// print_r($query);
	if(isset($query['view'])){
		$segments[] = $query['view'];
		unset($query['view']);
	};

	if(isset($query['product_id'])){
		$segments[] = $query['product_id'];
		unset($query['product_id']);
	};
// $segments[]='foo';
	return $segments;
}

function ProductadvisorParseRoute($segments)
{
	$vars = array();
	// Count segments
	$count = count($segments);
	//Handle View and Identifier
// print_r($segments);
	switch($segments[0])
	{
		case 'products':
			$id = explode(':', $segments[$count-1]);
			$vars['product_id'] = (int) $id[0];
			$vars['view'] = 'products';
			break;

		case 'product':
			$id = explode(':', $segments[$count-1]);
			$vars['product_id'] = (int) $id[0];
			$vars['view'] = 'product';
			break;
	}

	return $vars;
}
?>